首页 -> 安全研究

安全研究

安全漏洞
Adobe Acrobat和Reader Collab getIcon() JavaScript方式栈溢出漏洞

发布日期:2009-03-18
更新日期:2009-03-25

受影响系统:
Adobe Acrobat 9
Adobe Acrobat 8
Adobe Acrobat 7.0
Adobe Reader 9
Adobe Reader 8
Adobe Reader 7
不受影响系统:
Adobe Acrobat 9.1
Adobe Acrobat 8.1.4
Adobe Acrobat 7.1.1
Adobe Reader 9.1
Adobe Reader 8.1.4
Adobe Reader 7.1.1
描述:
BUGTRAQ  ID: 34169
CVE(CAN) ID: CVE-2009-0927

Adobe Acrobat和Reader都是非常流行的PDF文件阅读器。

Adobe Acrobat和Reader没有正确地处理PDF文档中所包含的恶意JavaScript。如果向Collab对象的getIcon()方式提供了特制参数,就可以触发栈溢出。成功利用这个漏洞允许以当前登录用户的权限完全控制受影响的机器。

<*来源:ZDI (http://www.zerodayinitiative.com/)
  
  链接:http://www.adobe.com/support/security/bulletins/apsb09-04.html
        http://marc.info/?l=bugtraq&m=123792001330952&w=2
        http://secunia.com/advisories/33901/
*>

测试方法:

警 告

以下程序(方法)可能带有攻击性,仅供安全研究与教学之用。使用者风险自负!

http://milw0rm.com/sploits/2009-Adobe.Collab.getIcon.pdf
http://milw0rm.com/sploits/2009-CVE-2009-0927_package.zip

建议:
厂商补丁:

Adobe
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.adobe.com

浏览次数:4086
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障